xpublish module#

async jupyter_tiler.xpublish.add_data_array(data_array, *, colormap_range=None, **kwargs)[source]#

Adds a DataArray to the xpublish-tiles server.

The xpublish-tiles server is lazily started when the first DataArray is added.

Parameters:
  • data_array (DataArray) – An Xarray DataArray to dynamically tile for visualization.

  • colormap_range (tuple[float, float] | None, default: None) – The range of data values (min, max) to be colormapped

  • kwargs (str | int) – Additional query parameters to include in the TiTiler request URL.

Returns:

str – A URL template pointing to the new tile endpoint.

jupyter_tiler.xpublish.get_routes()[source]#

Display a list of all available routes on the TiTiler server.

Returns:

list[dict[str, Any]] – A list containing one dictionary per route exposed by the TiTiler server.

Raises:

RuntimeError – If called before the server is started. Always await add_data_array() first.